[P050]Technological innovation indicators
Receive technical innovation indicators by similar patents list. there include the number of highly similar patents and the number of highly cited patents in the same family.
Up to 100 similar patents were supported for index calculation
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
Required | array | [
{
"pn": "CN113556455A",
"patent_id": "d827b76d-3a0e-40a5-b63d-b8a47eb8d0f6",
"relevancy": "74%"
},
{
"pn": "CN111634234A",
"patent_id": "0e70c3f3-644d-4f65-abad-ad5630911dde",
"relevancy": "73%"
}
] | List of similar patent information, up to 100 similar patents are supported for indicator calculation. Note: 1. patent_id and pn must have one, if both exist, the patent patent_id will be used first 2. patent_id or pn must be the patent ID and publication number in Patsnap database |
| string | 99% | relevancy between the result patent and the input content |
Required | string | 718ead9c-4f3c-4674-8f5a-24e126827269 | patent id |
Required | string | US11205304B2 | patent number |
| integer<int32> | 95 | relevancy threshold, for the high_similarity_patent_count (default 95) |
| integer<int32> | 10 | cited_by count threshold, for high_simple_family_cited_by(default 10) |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
indicators | object | 95 | Technological innovation indicators |
invention_ratioRequired | number<double> | 0.8 | Proportion of invention patents in similar patents |
high_simple_family_cited_byRequired | integer<int32> | 10 | Number of similar patents whose number of simple family cited by reached the threshold |
high_similarity_patent_countRequired | integer<int32> | 10 | Number of similar patents whose relevancy reached the relevancy thresholdt |
patent_infoRequired | array | [
{
"pn": "US11205304B2",
"patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
"relevancy": "99%",
"patent_type": "USB",
"cited_by_cnt": 5
},
{
"pn": "CN113556455A",
"patent_id": "d827b76d-3a0e-40a5-b63d-b8a47eb8d0f6",
"relevancy": "80%",
"patent_type": "CNA",
"cited_by_cnt": 3
}
] | Patent information |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": {
"indicators": {
"invention_ratio": 0.8,
"high_simple_family_cited_by": 10,
"high_similarity_patent_count": 10
},
"patent_info": [
{
"pn": "US11205304B2",
"patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
"relevancy": "99%",
"patent_type": "USB",
"cited_by_cnt": 5
},
{
"pn": "CN113556455A",
"patent_id": "d827b76d-3a0e-40a5-b63d-b8a47eb8d0f6",
"relevancy": "80%",
"patent_type": "CNA",
"cited_by_cnt": 3
}
]
},
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
201 | Created |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms